Bug 704499 - Some button clicks in IE8 do not work
Some button clicks in IE8 do not work
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 614447 rhq401
  Show dependency treegraph
 
Reported: 2011-05-13 08:38 EDT by Mike Foley
Modified: 2013-09-02 03:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-05-13 08:38:44 EDT
Description of problem:
Some button clicks in IE8 do not work

Version-Release number of selected component (if applicable):
4.0.1

How reproducible:
100%

Steps to Reproduce:
1.  upload the attached plug-in (upload, do 'plugins update' on the agent, discover resource, import, etc..)
2.  select top-level menu item for Inventory, then choose Bug Demo 
3.  right-click context menu, Create Child, Upload Filenames
4.  Upload a file...then neither Cancel or Finish buttons work.
  
Actual results:
Button does not work

Expected results:
Button works

Additional info:
Comment 1 Jay Shaughnessy 2011-05-13 16:18:09 EDT
The problem here looks to be IE not being able to handle a destroy() call to a form including an UploadItem (like file upload).  Wizards that employ file upload, like the Resource Create wizard (as described in the description) and the Bundle Create wizard, for example, can not be destroyed (on Cancel or Finish).

The problem is not limited to Wizards but it may be that that's the only place we employ the UploadItem.

Looking for a workaround/fix...
Comment 2 Jay Shaughnessy 2011-05-15 18:11:32 EDT
release-4.0.0 commit ed1d55353f2b49822f29fd48b605026a43405809
master        commit fe42299afaf13792fc86ade7fd07ce002ceac0a2
Comment 3 Sunil Kondkar 2011-05-16 07:40:37 EDT
Verified on rhq401 build#28 (Version: 4.0.1-SNAPSHOT Build Number: d352fb9)

Verified on IE version 8.0.6001.19019.

Uploaded, discovered and imported a plug-in bug_demo.jar. Selected Inventory->Bug Demo. Selected the  right-click context menu: Create Child->Upload Filenames.
Uploaded a file and verified that the Cancel/Previous/Next and Finish buttons work at each step while uploading.

Also created and deployed a bundle successfully using IE version 8.0.6001.19019.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:18:20 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.